{% extends 'base.html.twig' %}

{% block body %}
    {% block nav %}
        <nav class="navbar navbar-dark  mb-5" style="background: rgb(201,23,183); background: linear-gradient(90deg, rgba(201,23,183,1) 38%, rgba(158,23,159,1) 63%, rgba(93,5,119,1) 89%);">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">
                    <h1 class="mx-5"><i>WAREHOUSE</i></h1>
                </a>
            </div>
        </nav>
    {% endblock nav %}
    {% block content %}
        <div class="container row m-auto">
            <div class="form col-4  m-auto p-2 shadow p-3 rounded" >
                <h3>Выберите дату</h3>
                    {{ form_start(datePickerForm) }}
                    <div  class="form-group mt-3">
                        {{ form_widget(datePickerForm.date) }}
                    </div>
                    <div  class="form-group mt-3 text-end">
                        {{ form_widget(datePickerForm.submit) }}
                    </div>
                    {{ form_end(datePickerForm) }}
            </div>
            <div class="col-6 m-auto p-2 shadow p-5 rounded">
                <h3>Информация о товаре:</h3>
                <div class="w-100 d-flex justify-content-between mb-3 bg-primary text-white p-2 rounded">
                    <span>Товар</span>
                    <span>Остаток</span>
                    <span>Себестоимость</span>
                    <span>Цена с наценкой</span>
                </div>
                {% for key, product in products %}
                    <div class=" d-flex justify-content-between align-item-center mb-2  text-white p-2 rounded" style="background: rgb(201,23,183);">
                        <span>{{ product.name }}</span>
                        <span>{{ product.quantity }}</span>
                        <span>{{ product.price }}</span>
                        <span>{{ product.marginPrice }}</span>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endblock content %}
{% endblock %}